#### D.6.1.9 charexp2inter

Procedure from library `alexpoly.lib` (see alexpoly_lib).

Usage:
  charexp2inter(contact,charexp), contact matrix, charexp list

Assume:
  charexp contains the integer vectors of characteristic exponents of the branches of a plane curve singularity, and contact is their contact matrix

Return:
  intmat, the matrix intersection multiplicities of the branches

Example:

    LIB "alexpoly.lib";
    ring r=0,(x,y),ds;
    list INV=invariants((x2-y3)*(x3-y2)*((x2-y3)^2-4x5y-x7));
    intmat contact=INV[4][1];
    list charexp=INV[1][1],INV[2][1],INV[3][1];
    // The intersection matrix is INV[4][2].
    print(INV[4][2]);
    ==>      0     4     8
    ==>      4     0    17
    ==>      8    17     0
    // And it is calulated as ...
    print(charexp2inter(contact,charexp));
    ==>      0     4     8
    ==>      4     0    17
    ==>      8    17     0

See also: invariants; resolutiongraph; semigroup; totalmultiplicities.

User manual for Singular version 4-0-3, 2016, generated by texi2html.